Transactions
Get meta transactions
List meta-transactions (transactions using the “execute from outside” pattern) for a specific contract account.
GET
/
meta-txns
Get meta transactions
curl --request GET \
--url https://public-api.voyager.online/beta/meta-txns \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/meta-txns"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/meta-txns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/meta-txns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/meta-txns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/meta-txns")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/meta-txns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"blockNumber": 3145013,
"blockId": "0x7a418e1449e39c08c72ce82bd150274de425ef9df42dccf883f944b12b5864",
"hash": "0x15f0ad18c6fbce78f401e15d859ec0e349fe2f7b6087da15819ecc0fd506c58",
"index": 15,
"l1VerificationHash": "",
"classHash": "0x0743c83c41ce99ad470aa308823f417b2141e02e04571f5c0004e743556e7faf",
"contractAddress": "0x04af22fa6d29a9fe5781def72d8c85c0722096fc3646f3bde2dd6e1d0cc7fa9b",
"timestamp": 1761207549,
"actualFee": "15860160027199296",
"contractAlias": null,
"classAlias": null,
"senderAddress": "0x063a5eb7b0435bfe0a371b1b29967927a85a55fd2096dfcbb37a513aa1300ec8",
"senderAlias": null,
"status": "Accepted on L2",
"type": "INVOKE",
"actions": null,
"executionStatus": "Succeeded",
"finalityStatus": "Accepted on L2",
"operations": "execute_from_outside_v3,claim_reward_token",
"name": "execute_from_outside_v3",
"selector": "0x3dbc508ba4afd040c8dc4ff8a61113a7bcaf5eae88a6ba27b3c50578b3587e3",
"revertError": null
}
],
"lastPage": 1345
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Query Parameters
Page number. Defaults to 1.
Number of items per page. Available options: 10, 25, 50, 100.
Filter by destination contract address (0x-prefixed hex).
Pattern:
^(0x[0-9a-fA-F]{1,66})$⌘I
Get meta transactions
curl --request GET \
--url https://public-api.voyager.online/beta/meta-txns \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/meta-txns"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/meta-txns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/meta-txns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/meta-txns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/meta-txns")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/meta-txns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"blockNumber": 3145013,
"blockId": "0x7a418e1449e39c08c72ce82bd150274de425ef9df42dccf883f944b12b5864",
"hash": "0x15f0ad18c6fbce78f401e15d859ec0e349fe2f7b6087da15819ecc0fd506c58",
"index": 15,
"l1VerificationHash": "",
"classHash": "0x0743c83c41ce99ad470aa308823f417b2141e02e04571f5c0004e743556e7faf",
"contractAddress": "0x04af22fa6d29a9fe5781def72d8c85c0722096fc3646f3bde2dd6e1d0cc7fa9b",
"timestamp": 1761207549,
"actualFee": "15860160027199296",
"contractAlias": null,
"classAlias": null,
"senderAddress": "0x063a5eb7b0435bfe0a371b1b29967927a85a55fd2096dfcbb37a513aa1300ec8",
"senderAlias": null,
"status": "Accepted on L2",
"type": "INVOKE",
"actions": null,
"executionStatus": "Succeeded",
"finalityStatus": "Accepted on L2",
"operations": "execute_from_outside_v3,claim_reward_token",
"name": "execute_from_outside_v3",
"selector": "0x3dbc508ba4afd040c8dc4ff8a61113a7bcaf5eae88a6ba27b3c50578b3587e3",
"revertError": null
}
],
"lastPage": 1345
}{
"error": "<string>"
}{
"message": "Forbidden"
}{
"message": "Limit Exceeded"
}